www.fltk.net > mysql CEntos下哪个版本

mysql CEntos下哪个版本

在linux中安装数据库首选MySQL,Mysql数据库的第一个版本就是发行在Linux系统上,其他选择还可以有postgreSQL,oracle等在Linux上安装mysql数据库,我们可以去其官网上下载mysql数据库的rpm包,http://dev.mysql.com/downloads/mysql/5.6.

这种企业大版本内的升级一般不会涉及重要软件的大版本升级,这是为了保证用户业务的连续性、兼容性.安装最新版的三种方法:1、使用源代码安装.但我说过:不用包管理器安装软件的99%都是耍流氓.2、使用软件提供者提供的源.mysql网站上应该有最新版本的安装源.自己找找吧.如果没提供,建议安装mariadb,完全兼容mysql,我确定有最新版本的官方源.3、使用第三方源,会有比较新的软件.比如rpmforge、rpmfusion之类的.

mysql Ver 14.14 Distrib 5.1.61, for redhat-linux-gnu (i386) using readline 5.1

系统自带的有5.0的版本,你可以通过yum -list|grep mysql查看它的安装包.如果想自己安装更高版本的,可以去官网下载,然后自己去安装,建议安装5.2以上版本的,因为5.2以下版本的似乎对存储过程支持不太好.

mysql-5.5就可以了.#安装依赖包yum install -y libaio-devel#创建用户useradd -s /sbin/nologin mysql#创建数据目录mkdir -p /data/mysql#赋予权限chown -R mysql:mysql /data/mysql#解压tar zxvf mysql-5.5.42-linux2.6-x86_64.tar.gz#移动到指定目录

这个需要根据具体情况而确定了: 如果只是一个独立的mysql,那么就选择最新稳定版本了 如果涉及到主从服务,原则就是从服务版本只能与主服务版本相同或更新于主服务版本 考虑到性能时,就需要确定所使用的linux与mysql各版本的问题了.

安装哪个版本都行,关键是的支持centos7,下载时看看下载for centos7 或redhat7的

选redhat一样

这个需要根据具体情况而确定了: 如果只是一个独立的MySQL,那么就选择最新稳定版本了 如果涉及到主从服务,原则就是从服务版本只能与主服务版本相同或更新于主服务版本 考虑到性能时,就需要确定所使用的Linux与MySQL各版本的问题了.

默认安装的是MariaDByum -y install mariadb-server mariadb mariadb-develsystemctl start mariadbsystemctl enable mariadbmysql_secure_installationfirewall-cmd --permanent --add-service mysqlsystemctl restart firewalld.serviceiptables -L -n|grep 3306

网站地图

All rights reserved Powered by www.fltk.net

copyright ©right 2010-2021。
www.fltk.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com